## ros-galactic-ros2pkg 0.13.5

=== debian/changelog ===
ros-galactic-ros2pkg (0.13.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ros2pkg (0.13.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-ros2pkg (0.13.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-ros2pkg (0.13.2-1focal) focal; urgency=high

  * Add changelog. (#636 <https://github.com/ros2/ros2cli/issues/636>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 May 2021 07:00:00 -0000

ros-galactic-ros2pkg (0.13.1-1focal) focal; urgency=high

  * Use underscores in setup.cfg.em instead of dashes. (#627 <https://github.com/ros2/ros2cli/issues/627>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-ros2pkg (0.13.0-1focal) focal; urgency=high

  * Add space for "ROS 2". (#617 <https://github.com/ros2/ros2cli/issues/617>)
  * Use target_compile_features for c/c++ standards. (#615 <https://github.com/ros2/ros2cli/issues/615>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-ros2pkg (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-galactic-ros2pkg (0.11.0-1focal) focal; urgency=high

  * Declare missing dependency on python3-importlib-resources. (#584 <https://github.com/ros2/ros2cli/issues/584>)
  * Contributors: Scott K Logan

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ros2pkg (0.10.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-ros2pkg (0.10.0-1focal) focal; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Fix incorrect EXPORT for executables. (#545 <https://github.com/ros2/ros2cli/issues/545>)
  * Switch ros2pkg to using importlib.
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-ros2pkg (0.9.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-ros2pkg (0.9.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ros2pkg (0.9.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-ros2pkg (0.9.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-ros2pkg (0.9.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-galactic-ros2pkg (0.9.0-1focal) focal; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Use ament_export_targets(). (#478 <https://github.com/ros2/ros2cli/issues/478>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Merge pull request #428 <https://github.com/ros2/ros2cli/issues/428> from ros2/tfoote-patch-1
    fix create_pkg dependencies for python
  * Consistent interpretation of dependency type
  * Contributors: Dirk Thomas, Peter Baughman, Steven! Ragnarök, Tully Foote

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-galactic-ros2pkg (0.8.6-1focal) focal; urgency=high

  * Fix new linter warnings as of flake8-comprehensions 3.1.0. (#399 <https://github.com/ros2/ros2cli/issues/399>)
  * Contributors: Dirk Thomas

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-ros2pkg (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 14 Nov 2019 08:00:00 -0000

ros-galactic-ros2pkg (0.8.4-1focal) focal; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-ros2pkg (0.8.3-1focal) focal; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output. (#304 <https://github.com/ros2/ros2cli/issues/304>)
    * Add end-to-end CLI output tests for ros2:
    - ros2action
    - ros2service
    - ros2topic
    - ros2msg
    - ros2srv
    - ros2interface
    - ros2node
    - ros2pkg
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-ros2pkg (0.8.2-1focal) focal; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Oct 2019 07:00:00 -0000

ros-galactic-ros2pkg (0.8.1-1focal) focal; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-galactic-ros2pkg (0.8.0-1focal) focal; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)

